function ret_val = discoverCameras()
  % discoverCameras
  %   Discover all available cameras
  %
  % Output:
  %   ret_val - vector[DiscoveredCamera] - All available cameras
  %

  ret_val = tof.mex('tof_discover_cameras');
  ret_val = arrayfun(@(vec_obj)tof.DiscoveredCamera(vec_obj), ret_val);
end

