function ret_val = gpioModeName(gpio_mode)
  % gpioModeName
  %   Get the name of the GPIO mode
  %
  % Inputs:
  %   gpio_mode - GpioMode - GPIO Mode
  %
  % Output:
  %   ret_val - string - Name
  %

  ret_val = tof.mex('tof_gpio_mode_name', uint32(gpio_mode));
end

